package cn.com.victorysoft.business.sys.dao;

import cn.com.victorysoft.business.sys.entity.WellSectionDaily;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface WellSectionDailyDao {
    int deleteByPrimaryKey(WellSectionDaily key);

    int deleteByDate(@Param("startDate") Date startDate, @Param("endDate") Date endDate);

    WellSectionDaily selectByPrimaryKey(WellSectionDaily key);

    List<WellSectionDaily> selectByDate(@Param("startDate") Date startDate, @Param("endDate") Date endDate);

    int updateInjectType(List<WellSectionDaily> list);
}